Macros
libmwaw.hxx File Reference

libmwaw API: main libmwaw interface header More...

`#include "MWAWDocument.hxx"`

Go to the source code of this file.

## Macros
#define | MWAW_DATABASE_VERSION 0
| Defines the database possible conversion (actually none) More...
#define | MWAW_GRAPHIC_VERSION 2
| Defines the vector graphic possible conversion: More...
#define | MWAW_PAINT_VERSION 0
| Defines the bitmap graphic possible conversion (actually none) More...
#define | MWAW_PRESENTATION_VERSION 1
| Defines the presentation possible conversion: More...
#define | MWAW_SPREADSHEET_VERSION 2
| Defines the spreadsheet possible conversion: More...
#define | MWAW_TEXT_VERSION 2
| Defines the word processing possible conversion: More...

## Detailed Description

libmwaw API: main libmwaw interface header

Includes MWAWDocument.hxx and a set of versions' define.

## Macro Definition Documentation

## ◆ MWAW_DATABASE_VERSION

#define MWAW_DATABASE_VERSION 0

Defines the database possible conversion (actually none)

## ◆ MWAW_GRAPHIC_VERSION

#define MWAW_GRAPHIC_VERSION 2

Defines the vector graphic possible conversion:

- 1: can create some graphic shapes in a RVNGBinaryData mimeType="image/mwaw-odg". You can use MWAWDocument::decodeGraphic to read them(from libmwaw-0.2).
- 2: can also create graphic documents(from libmwaw-0.3.0)

## ◆ MWAW_PAINT_VERSION

#define MWAW_PAINT_VERSION 0

Defines the bitmap graphic possible conversion (actually none)

## ◆ MWAW_PRESENTATION_VERSION

#define MWAW_PRESENTATION_VERSION 1

Defines the presentation possible conversion:

- 1: can create some presentation documents(from libmwaw-0.3.3)

## ◆ MWAW_SPREADSHEET_VERSION

#define MWAW_SPREADSHEET_VERSION 2

Defines the spreadsheet possible conversion:

- 1: can create some spreadsheet document(from libmwaw-0.3.0)
- 2: can create some spreadsheet shapes in a RVNGBinaryData mimeType="image/mwaw-ods". You can use MWAWDocument::decodeSpreasheet to read them(from libmwaw-0.3.1).

## ◆ MWAW_TEXT_VERSION

#define MWAW_TEXT_VERSION 2

Defines the word processing possible conversion:

- 1: can create some text document(from libmwaw-0.0)
- 2: new interface with password encryption(from libmwaw-0.3.0)